#!/bin/bash

set -e

BUILDDIR="$(realpath buildroot/output/host/bin)"

if [ ! -x "$BUILDDIR/arm-linux-gcc" ]; then
    echo "ERROR: Missing $BUILDDIR/arm-linux-gcc" >&2
    echo "       Build buildroot to prepare the arm-linux toolchain" >&2
    exit 1
fi

export PATH="$BUILDDIR:$PATH"

make -C u-boot CROSS_COMPILE=arm-linux- distclean
make -C u-boot CROSS_COMPILE=arm-linux- xilinx_zynq_virt_config
make -C u-boot CROSS_COMPILE=arm-linux-
